import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.literal(true).optional(),
  patientId: z.literal(true).optional(),
  userId: z.literal(true).optional(),
  channel: z.literal(true).optional(),
  direction: z.literal(true).optional(),
  status: z.literal(true).optional(),
  body: z.literal(true).optional(),
  callDuration: z.literal(true).optional(),
  twilioSid: z.literal(true).optional(),
  createdAt: z.literal(true).optional(),
  _all: z.literal(true).optional()
}).strict();
export const CommunicationCountAggregateInputObjectSchema: z.ZodType<Prisma.CommunicationCountAggregateInputType> = makeSchema() as unknown as z.ZodType<Prisma.CommunicationCountAggregateInputType>;
export const CommunicationCountAggregateInputObjectZodSchema = makeSchema();
